<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>editRackDialog</class>
 <widget class="QDialog" name="editRackDialog">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>226</width>
    <height>146</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Edit strip rack</string>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout">
   <item>
    <layout class="QFormLayout" name="formLayout">
     <property name="fieldGrowthPolicy">
      <enum>QFormLayout::AllNonFixedFieldsGrow</enum>
     </property>
     <item row="0" column="0">
      <widget class="QLabel" name="label">
       <property name="text">
        <string>Rack name:</string>
       </property>
       <property name="buddy">
        <cstring>rackName_edit</cstring>
       </property>
      </widget>
     </item>
     <item row="0" column="1">
      <widget class="QLineEdit" name="rackName_edit"/>
     </item>
     <item row="1" column="0">
      <widget class="QLabel" name="label_10">
       <property name="text">
        <string>Link colour:</string>
       </property>
       <property name="buddy">
        <cstring>pickColour_button</cstring>
       </property>
      </widget>
     </item>
     <item row="1" column="1">
      <layout class="QHBoxLayout" name="horizontalLayout">
       <item>
        <widget class="QToolButton" name="pickColour_button">
         <property name="toolTip">
          <string>Pick colour for linked contacts</string>
         </property>
         <property name="text">
          <string>Pick...</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QToolButton" name="clearColour_button">
         <property name="text">
          <string>Clear</string>
         </property>
        </widget>
       </item>
      </layout>
     </item>
     <item row="2" column="0">
      <widget class="QLabel" name="label_2">
       <property name="text">
        <string>Delete rack:</string>
       </property>
      </widget>
     </item>
     <item row="2" column="1">
      <layout class="QHBoxLayout" name="horizontalLayout_2">
       <item>
        <widget class="QToolButton" name="deleteRack_button">
         <property name="text">
          <string>X</string>
         </property>
         <property name="checkable">
          <bool>true</bool>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QLabel" name="rackDeletion_info">
         <property name="font">
          <font>
           <weight>75</weight>
           <bold>true</bold>
          </font>
         </property>
         <property name="text">
          <string/>
         </property>
        </widget>
       </item>
      </layout>
     </item>
    </layout>
   </item>
   <item>
    <widget class="QDialogButtonBox" name="buttonBox">
     <property name="orientation">
      <enum>Qt::Horizontal</enum>
     </property>
     <property name="standardButtons">
      <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
     </property>
    </widget>
   </item>
  </layout>
 </widget>
 <tabstops>
  <tabstop>rackName_edit</tabstop>
  <tabstop>pickColour_button</tabstop>
  <tabstop>clearColour_button</tabstop>
  <tabstop>deleteRack_button</tabstop>
  <tabstop>buttonBox</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>buttonBox</sender>
   <signal>accepted()</signal>
   <receiver>editRackDialog</receiver>
   <slot>accept()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>216</x>
     <y>136</y>
    </hint>
    <hint type="destinationlabel">
     <x>157</x>
     <y>173</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>buttonBox</sender>
   <signal>rejected()</signal>
   <receiver>editRackDialog</receiver>
   <slot>reject()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>216</x>
     <y>136</y>
    </hint>
    <hint type="destinationlabel">
     <x>234</x>
     <y>173</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>deleteRack_button</sender>
   <signal>toggled(bool)</signal>
   <receiver>rackName_edit</receiver>
   <slot>setDisabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>79</x>
     <y>74</y>
    </hint>
    <hint type="destinationlabel">
     <x>79</x>
     <y>25</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>deleteRack_button</sender>
   <signal>toggled(bool)</signal>
   <receiver>clearColour_button</receiver>
   <slot>setDisabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>84</x>
     <y>74</y>
    </hint>
    <hint type="destinationlabel">
     <x>183</x>
     <y>58</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>deleteRack_button</sender>
   <signal>toggled(bool)</signal>
   <receiver>pickColour_button</receiver>
   <slot>setDisabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>87</x>
     <y>77</y>
    </hint>
    <hint type="destinationlabel">
     <x>105</x>
     <y>55</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
